# Packager

[![CI Status](https://ci.ixvd.net/api/badges/2/status.svg)](https://ci.ixvd.net/repos/2)

> "A package manager and builder but like rust."  
> -- Gandhi (2050)

> ***Almost to a point you can use it*** :)

Packager is a simple yet powerful package manager

## Install a package
pkgr supports fetching packages with a:
- path
- url (http/https)
- package locator

```shell
# example with path
pkgr install ./foxy/snek.pkg
# example with url
pkgr install https://example.com/doggo.pkg
# example with package locator
pkgr install foo:stable,bar
```

## Composing a package
Right now, pkgr does not have a compose/package command. (it's in the works dw!)  
You can create a package with `pkg.py`!  

```shell
# Usage: pkg.py <package_toml_path> <output_path> [<directories_to_include> ...]
# example:
python pkg.py manifest.toml example.pkg root/ source/ scripts/
# this will create a package with an archive that look like this:
# [header+manifest]
# ...
# [archive: 
#   root/
#   source/
#   scripts/
# ]
```

It's not perfect, but it'll get the job done :)


